import { getUrlParameter } from '@js/utils';
import { get, post } from '../../http';




export const getIndex = () => get('/youtui/greetingCard/index', {
    id: getUrlParameter('id'),
    sourceUserId: getUrlParameter('sourceUserId'),
    sourceToken: getUrlParameter('sourceToken'),
    consumerIdOrder: getUrlParameter('consumerIdOrder'),
    appPreview: getUrlParameter('appPreview'),
    recordId: getUrlParameter('recordId')
});

export const getWxShareInfo = (opts) => get('/youtui/greetingCard/share', {
    consumerIdOrder: getUrlParameter('consumerIdOrder'),
    contentType: getUrlParameter('type'),
    contentId: getUrlParameter('id'),
    cardId: opts.cardId,
    appPreview: getUrlParameter('appPreview'),
    cardContentId: opts.cardContentId,
    userContent: opts.userContent
});
